/////////////////////////////////////////////////////////////////////////////
// Name:        app.h
// Purpose:     wxWidgets Package Manager
// Author:      Julian Smart, Francesco Montorsi
// Modified by:
// Created:     2004-11-08
// RCS-ID:      $Id: app.h,v 1.2 2007/01/23 18:26:21 frm Exp $
// Copyright:   (c) Julian Smart
// Licence:     wxWidgets license
/////////////////////////////////////////////////////////////////////////////

#ifndef _APP_H_
#define _APP_H_

#include "wx/app.h"
#include "wx/config.h"
#include "wx/filename.h"


// ----------------------------------------------------------------------------
// wxPackageManagerApp
// ----------------------------------------------------------------------------

class wxPackageManagerApp : public wxApp
{
public:
    wxPackageManagerApp();
    virtual ~wxPackageManagerApp();

	// Operations
    bool OnInit(void);
    int OnExit(void);

    /// Get the main window
    wxPackageManagerFrame* GetMainFrame();

    // returns the absolute path of the XML preset file
    wxString GetPresetFile() const;
};

DECLARE_APP(wxPackageManagerApp)

#endif
  // _APP_H_

